org.apache.calcite.avatica.proto

## Interface Requests.PrepareAndExecuteBatchRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Requests.PrepareAndExecuteBatchRequest, Requests.PrepareAndExecuteBatchRequest.Builder

Enclosing class:
  Requests

    public static interface Requests.PrepareAndExecuteBatchRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`String` `getConnectionId()` `optional string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `optional string connection_id = 1;`
`String` `getSqlCommands(int index)` `repeated string sql_commands = 3;`
`com.google.protobuf.ByteString` `getSqlCommandsBytes(int index)` `repeated string sql_commands = 3;`
`int` `getSqlCommandsCount()` `repeated string sql_commands = 3;`
`List<String>` `getSqlCommandsList()` `repeated string sql_commands = 3;`
`int` `getStatementId()` `optional uint32 statement_id = 2;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getConnectionId

    String getConnectionId()

`optional string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`optional string connection_id = 1;`

#### getStatementId

    int getStatementId()

`optional uint32 statement_id = 2;`

#### getSqlCommandsList

    List<String> getSqlCommandsList()

`repeated string sql_commands = 3;`

#### getSqlCommandsCount

    int getSqlCommandsCount()

`repeated string sql_commands = 3;`

#### getSqlCommands

    String getSqlCommands(int index)

`repeated string sql_commands = 3;`

#### getSqlCommandsBytes

    com.google.protobuf.ByteString getSqlCommandsBytes(int index)

`repeated string sql_commands = 3;`